io.vertx.ext.asyncsql

## Interface PostgreSQLClient

- All Superinterfaces:
    AsyncSQLClient, SQLClient, SQLOperations

      public interface PostgreSQLClient
      extends AsyncSQLClient

  Represents an PostgreSQL client
  Author:
    Joern Bernhardt., Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_CHARSET` The default charset.
    `static long` | `DEFAULT_CONNECT_TIMEOUT` The default timeout for connect.
    `static String` | `DEFAULT_DATABASE` The default database name.
    `static String` | `DEFAULT_DS_NAME` The default name used for the PostGreSQL pool.
    `static String` | `DEFAULT_HOST` The default host.
    `static String` | `DEFAULT_PASSWORD` The default user password.
    `static int` | `DEFAULT_PORT` The default port.
    `static long` | `DEFAULT_TEST_TIMEOUT` The default timeout for tests.
    `static String` | `DEFAULT_USER` The default database user.

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AsyncSQLClient` | `createNonShared(Vertx vertx, JsonObject config)` Create a PostgreSQL client which maintains its own pool.
    `static AsyncSQLClient` | `createShared(Vertx vertx, JsonObject config)` Like `createShared(io.vertx.core.Vertx, JsonObject, String)` but with the default pool name
    `static AsyncSQLClient` | `createShared(Vertx vertx, JsonObject config, String poolName)` Create a PostgreSQL client which shares its pool with any other MySQL clients created with the same pool name.

    - ### Methods inherited from interface io.vertx.ext.sql.SQLClient

      `call, callWithParams, close, close, getConnection, query, queryWithParams, update, updateWithParams`

    - ### Methods inherited from interface io.vertx.ext.sql.SQLOperations

      `querySingle, querySingleWithParams`

- - ### Field Detail

    - #### DEFAULT_DS_NAME

          static final String DEFAULT_DS_NAME

      The default name used for the PostGreSQL pool.
      See Also:
        Constant Field Values

    - #### DEFAULT_HOST

          static final String DEFAULT_HOST

      The default host.
      See Also:
        Constant Field Values

    - #### DEFAULT_PORT

          static final int DEFAULT_PORT

      The default port.
      See Also:
        Constant Field Values

    - #### DEFAULT_DATABASE

          static final String DEFAULT_DATABASE

      The default database name.
      See Also:
        Constant Field Values

    - #### DEFAULT_USER

          static final String DEFAULT_USER

      The default database user.
      See Also:
        Constant Field Values

    - #### DEFAULT_PASSWORD

          static final String DEFAULT_PASSWORD

      The default user password.
      See Also:
        Constant Field Values

    - #### DEFAULT_CHARSET

          static final String DEFAULT_CHARSET

      The default charset.
      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECT_TIMEOUT

          static final long DEFAULT_CONNECT_TIMEOUT

      The default timeout for connect.
      See Also:
        Constant Field Values

    - #### DEFAULT_TEST_TIMEOUT

          static final long DEFAULT_TEST_TIMEOUT

      The default timeout for tests.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createNonShared

          static AsyncSQLClient createNonShared(Vertx vertx,
                                                JsonObject config)

      Create a PostgreSQL client which maintains its own pool.
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

    - #### createShared

          static AsyncSQLClient createShared(Vertx vertx,
                                             JsonObject config,
                                             String poolName)

      Create a PostgreSQL client which shares its pool with any other MySQL clients created with the same pool name.
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
        `poolName` - the pool name
      Returns:
        the client

    - #### createShared

          static AsyncSQLClient createShared(Vertx vertx,
                                             JsonObject config)

      Like `createShared(io.vertx.core.Vertx, JsonObject, String)` but with the default pool name
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

Copyright © 2018 Eclipse. All rights reserved.